Sandbox
4 operations under sandbox. Examples read $API and $KEY from your shell.
- POST /v1/sandbox/fiat-deposits
- POST /v1/sandbox/transfers/{id}/outcome
- POST /v1/sandbox/kyb-outcome
- POST /v1/sandbox/testnet/fund
POST /v1/sandbox/fiat-deposits
Send an Idempotency-Key header on every POST so a retry never repeats the request.
Request body
application/json, required
object
referencestring optional (nullable)amountdecimal string requiredcurrencystring required
Responses
201 Default Response
object
rail_refstring requiredreferencestring required (nullable)amountdecimal string requiredcurrencystring requiredstatusstring required one ofcredited,suspensereceived_atstring required
Errors are RFC 9457 problem documents (application/problem+json).
curl
curl -s \
-X POST \
"$API/v1/sandbox/fiat-deposits" \
-H "authorization: Bearer $KEY" \
-H "idempotency-key: $(uuidgen)" \
-H "content-type: application/json" \
-d '{"amount":"10.00","currency":"<currency>"}'SDK
import { createScrClient } from "@scr/sdk";
// The client sends the API key and an Idempotency-Key for you.
const client = createScrClient({ baseUrl: process.env.API!, apiKey: process.env.KEY! });
const { data, error } = await client.POST("/v1/sandbox/fiat-deposits", {
body: {
"amount": "10.00",
"currency": "<currency>"
},
});POST /v1/sandbox/transfers/{id}/outcome
Send an Idempotency-Key header on every POST so a retry never repeats the request.
Parameters
idstring required in path
Request body
application/json, required
object
outcomestring required one ofbank_rejected,compliance_rejected
Responses
200 Default Response
object
transfer_idstring requiredkindstring requiredstatusstring requiredstatus_reasonstring required (nullable)versioninteger required
Errors are RFC 9457 problem documents (application/problem+json).
curl
curl -s \
-X POST \
"$API/v1/sandbox/transfers/$ID/outcome" \
-H "authorization: Bearer $KEY" \
-H "idempotency-key: $(uuidgen)" \
-H "content-type: application/json" \
-d '{"outcome":"bank_rejected"}'SDK
import { createScrClient } from "@scr/sdk";
// The client sends the API key and an Idempotency-Key for you.
const client = createScrClient({ baseUrl: process.env.API!, apiKey: process.env.KEY! });
const { data, error } = await client.POST("/v1/sandbox/transfers/{id}/outcome", {
params: { path: { id: "<id>" } },
body: {
"outcome": "bank_rejected"
},
});POST /v1/sandbox/kyb-outcome
Send an Idempotency-Key header on every POST so a retry never repeats the request.
Request body
application/json, required
object
decisionstring required one ofapproved,info_requested,rejectedreasonstring optional
Responses
200 Default Response
object
decisionstring required one ofapproved,info_requested,rejectedreasonstring required (nullable)
Errors are RFC 9457 problem documents (application/problem+json).
curl
curl -s \
-X POST \
"$API/v1/sandbox/kyb-outcome" \
-H "authorization: Bearer $KEY" \
-H "idempotency-key: $(uuidgen)" \
-H "content-type: application/json" \
-d '{"decision":"approved"}'SDK
import { createScrClient } from "@scr/sdk";
// The client sends the API key and an Idempotency-Key for you.
const client = createScrClient({ baseUrl: process.env.API!, apiKey: process.env.KEY! });
const { data, error } = await client.POST("/v1/sandbox/kyb-outcome", {
body: {
"decision": "approved"
},
});POST /v1/sandbox/testnet/fund
Send an Idempotency-Key header on every POST so a retry never repeats the request.
Request body
application/json, required
object
addressstring required
Responses
200 Default Response
object
addressstring requiredhashstring required (nullable)
Errors are RFC 9457 problem documents (application/problem+json).
curl
curl -s \
-X POST \
"$API/v1/sandbox/testnet/fund" \
-H "authorization: Bearer $KEY" \
-H "idempotency-key: $(uuidgen)" \
-H "content-type: application/json" \
-d '{"address":"<address>"}'SDK
import { createScrClient } from "@scr/sdk";
// The client sends the API key and an Idempotency-Key for you.
const client = createScrClient({ baseUrl: process.env.API!, apiKey: process.env.KEY! });
const { data, error } = await client.POST("/v1/sandbox/testnet/fund", {
body: {
"address": "<address>"
},
});